> For the complete documentation index, see [llms.txt](https://docs.mashmatrix.com/mashmatrix-sheet/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mashmatrix.com/mashmatrix-sheet/settings_for_admin/license_assignment.md).

# Assign License

### Assign Licenses to Users <a href="#add-licensed-users" id="add-licensed-users"></a>

After purchasing product licenses, in order for users to actually use the application, it is necessary to assign licenses to the users.

1. After logging in with the administrator account, select the "Setup" menu at the upper right of the screen
2. Go to "Quick Find" in the left sidebar, search for "Installed Packages" and click on the same menu
3. Click the "Manage Licenses" link in the "Mashmatrix Sheet" package listed in the "Installed Packages" section
4. Click the "Add User" button from the "Licensed Users" section
5. Select the appropriate users who will be given the license from the user list, then click the “Add” button

{% hint style="info" %}
In order to use the application, it is necessary to grant permission sets to users in addition to the licenses. For more details, see ["Grant Permission Set"](/mashmatrix-sheet/settings_for_admin/permission_set_grant.md) section.
{% endhint %}

### Unassign Licenses from Users <a href="#remove-licensed-users" id="remove-licensed-users"></a>

Once a license is assigned to a user, if the user no longer uses Mashmatrix Sheet, the license can be reused by unassigning it.

1. After logging in with the administrator account, select the "Setup" menu at the upper right of the screen
2. Go to "Quick Find" in the left sidebar, search for "Installed Packages" and click on the same menu
3. Click the "Manage Licenses" link in the "Mashmatrix Sheet" package listed in the "Installed Packages" section
4. From the "Licensed Users" section, click the "Remove Multiple Users" button.
5. Select the users whose licenses you want to delete from the list of users, then click the Remove button.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mashmatrix.com/mashmatrix-sheet/settings_for_admin/license_assignment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
